Bug 47516 - unbreak comms/gnokii for -current
unbreak comms/gnokii for -current
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Anders Nordby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-26 17:50 UTC by corecode
Modified: 2003-05-21 00:53 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.82 KB, patch)
2003-01-26 17:50 UTC, corecode
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description corecode 2003-01-26 17:50:02 UTC
	o unbreak build on -current
	o enable package building via
	o implement pkg-install
	o port automagically removes group gnokii if empty
	o GID is allocated dynamically, no need to reserve one

	thus:
	removed file: scripts/creategroup
	added file: pkg-install
Comment 1 Anders Nordby freebsd_committer 2003-01-26 17:50:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

Mine.
Comment 2 corecode 2003-01-27 17:52:39 UTC
uh yea. don't code while in a hurry.

better use this patch:


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/comms/gnokii/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- Makefile	5 Nov 2002 21:26:49 -0000	1.17
+++ Makefile	26 Jan 2003 17:40:26 -0000
@@ -7,17 +7,19 @@
 
 PORTNAME=	gnokii
 PORTVERSION=	0.4.3
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	comms
 MASTER_SITES=	ftp://ftp.nuug.no/pub/anders/distfiles/ \
-		http://freesoftware.fsf.org/download/gnokii/
-#		ftp://ftp.gnokii.org/pub/gnokii/
+		http://freesoftware.fsf.org/download/gnokii/ \
+		ftp://ftp.gnokii.org/pub/gnokii/
 
 MAINTAINER=	anders@FreeBSD.org
 
 LIB_DEPENDS=	intl.4:${PORTSDIR}/devel/gettext
 
 USE_GMAKE=	yes
+USE_REINPLACE=	yes
 .if !defined(WITHOUT_X11)
 USE_XPM=	yes
 USE_GNOMENG=	yes
@@ -38,33 +40,31 @@
 CONFIGURE_ENV+=	MSGFMT="${LOCALBASE}/bin/msgfmt" \
 		XGETTEXT="${LOCALBASE}/bin/xgettext"
 
-NO_PACKAGE=	"Group needs to be created"
 MAN1=	gnokii.1 todologo.1
 .if !defined(WITHOUT_X11)
 MAN1+=	xgnokii.1
 .endif
 MAN8=	gnokiid.8 mgnokiidev.8
 
-INSTALL_TARGET=	install-suid
+PKGDEINSTALL=	${PKGINSTALL}
 
 FIXPREFIX=	Docs/man/gnokiid.8 Docs/DataCalls-QuickStart Docs/README \
 		common/cfgreader.c po/et.po po/sl.po
 
 post-patch:
 .for f in ${FIXPREFIX}
-	@${SED} -e "s:/etc/gnokiirc:${PREFIX}/etc/gnokiirc:g" \
-	< ${WRKSRC}/${f} > ${WRKSRC}/${f}.post_sed
-	@${CP} ${WRKSRC}/${f}.post_sed ${WRKSRC}/${f}
+	@${REINPLACE_CMD} -e "s:/etc/gnokiirc:${PREFIX}/etc/gnokiirc:g" ${WRKSRC}/${f}
 .endfor
-	@${SED} -e "s:%%PTHREAD_LIBS%%:${PTHREAD_LIBS}:" \
-		-e "s:%%PTHREAD_CFLAGS%%:${PTHREAD_CFLAGS}:" \
-	< ${WRKSRC}/configure > ${WRKSRC}/configure.post_sed
-	@${CP} ${WRKSRC}/configure.post_sed ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e "s:%%PTHREAD_LIBS%%:${PTHREAD_LIBS}:; \
+		s:%%PTHREAD_CFLAGS%%:${PTHREAD_CFLAGS}:" ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e 's,^\(#define[[:space:]]*_XOPEN_SOURCE.*\),/* \1 */,' \
+		${WRKSRC}/common/data/virtmodem.c ${WRKSRC}/utils/mgnokiidev.c
 
 pre-install:
-	@${SH} ${SCRIPTDIR}/creategroup
+	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 
 post-install:
+	@${SETENV} "PKG_PREFIX=${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@(cd ${WRKSRC} && ${GMAKE} install-docs)
 	${INSTALL_DATA} ${WRKSRC}/Docs/sample/gnokiirc \
 		${PREFIX}/etc/gnokiirc.sample
Index: pkg-install
===================================================================
RCS file: pkg-install
diff -N pkg-install
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg-install	27 Jan 2003 17:51:01 -0000
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+PATH=/bin:/usr/bin:/usr/sbin
+
+GROUP=gnokii
+
+SUIDBINS="${PKG_PREFIX}/sbin/gnokiid ${PKG_PREFIX}/sbin/mgnokiidev"
+BINS="${PKG_PREFIX}/bin/gnokii ${PKG_PREFIX}/bin/xgnokii ${SUIDBINS}"
+
+case "$2" in
+"PRE-INSTALL")
+	if pw group show "${GROUP}" 2>/dev/null; then
+		echo "You already have a group \"${GROUP}\", so I will use it."
+	else
+		if pw groupadd ${GROUP}; then
+			echo "Added group \"${GROUP}\"."
+		else
+			echo "Adding group \"${GROUP}\" failed..."
+			exit 1
+		fi
+	fi
+	;;
+
+"POST-INSTALL")
+	chown root:$GROUP $BINS && \
+	chmod 750 ${BINS} && \
+	chmod u+s ${SUIDBINS} || exit 1
+	;;
+
+"DEINSTALL")
+	if [ -z "`pw groupshow $GROUP 2>&1 | sed -E -e 's/^([^:]+:){3}(.*)$/\2/'`" ]; then
+		echo "Removing empty group \"$GROUP\"."
+		pw groupdel $GROUP
+	fi
+	;;
+
+esac
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/comms/gnokii/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	23 May 2002 01:02:28 -0000	1.4
+++ pkg-plist	26 Jan 2003 17:10:12 -0000
@@ -113,6 +113,14 @@
 %%X11%%share/xgnokii/xpm/Preview_6210.xpm
 %%X11%%share/xgnokii/xpm/Preview_6250.xpm
 %%X11%%share/xgnokii/xpm/Preview_7110.xpm
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/calendar
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/contacts
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/dtmf
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/main
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/netmon/gsm
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/sms
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/speeddial
+%%X11%%@exec mkdir %D/share/xgnokii/help/en_US/xkeyb
 %%X11%%@dirrm share/xgnokii/help/en_US/cables
 %%X11%%@dirrm share/xgnokii/help/en_US/calendar
 %%X11%%@dirrm share/xgnokii/help/en_US/contacts
Index: scripts/creategroup
===================================================================
RCS file: scripts/creategroup
diff -N scripts/creategroup
--- scripts/creategroup	3 May 2001 01:13:00 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
-#!/bin/sh
-
-PATH=/bin:/usr/sbin
-
-GROUP=gnokii
-
-if pw group show "${GROUP}" 2>/dev/null; then
-	echo "You already have a group \"${GROUP}\", so I will use it."
-else
-	if pw groupadd ${GROUP}; then
-		echo "Added group \"${GROUP}\"."
-	else
-		echo "Adding group \"${GROUP}\" failed..."
-		exit 1
-	fi
-fi

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 3 Anders Nordby freebsd_committer 2003-05-21 00:53:18 UTC
State Changed
From-To: open->closed

Committed (partly), thanks!